whatsie (4.14.1-1) shopno; urgency=medium

  [ Keshav Bhatt ]
  * Initial commit

  [ keshavbhatt ]
  * init
  * updated readme
  * updated readme
  * src init
  * updated snapcraft to enable browser support and other important plugs.
  * added app lock class
  * fixed dark style bg color, update system tray menu according to window state, restore window geometry after minimizing to tray.
  * updated snapcraft
  * lock screen init
  * updated
  * disable engine init before qapp init. this causing a bug where app binary will not respect qt.conf file.
  * organized project file a little bit.
  * added back gsettings plug entry, don't know what it does :D
  * updated lock class
  * new about dialog
  * runguard class added
  * runguard class added new about dialog to project tree
  * implemented runguard..
  * implemented new about dialog, app lock feature
  * updated new build for deployment
  * added new screenshots
  * updated readme
  * updated screenshots and format
  * improve lock screen class
  * bypass browser upgrade page.
  * bypass browser upgrade page.
  * remove webengine init
  * lock UI fade in on init
  * restore window pos when notification popup cicked
  * bin for deployment
  * fix label style in download manager
  * added wa_bg
  * use wa_bg images
  * bin for deployment
  * bin for deployment
  * added dictionaries to source tree
  * added dictionary helper class
  * added debug info widget in about dialog
  * pre-compiled bdic files for deployment
  * utils class update
  * clean up
  * integrated spell checker with app.
  * latest bin for snap beployment
  * removed old dicts.
  * added webview class new dictionaries deployment strategy
  * added new dictionaries source files
  * added new dictionaries source files
  * updated some dictionaries source files
  * make static
  * spellcheck impl
  * new global app shortcuts, other improvements
  * snap deployment
  * app permission update
  * new screenshots
  * updated readme
  * snap bin dep
  * wrote new test case to check loaded correctly.
  * update test case to check loaded correctly.
  * snap bin dep
  * added permission dialog to project
  * enable context menu only for media type images
  * removed old dicts
  * cleanup
  * screenshot fmt upd8
  * dialog upd8
  * added permission dialog in settings window
  * follow set permission in page
  * tray restore action now shows unread message count
  * snap deployment bin
  * snap bin dep
  * moved webview code to seperate class
  * cleanup
  * added setting obj
  * fix app shortcut popup layout
  * code clean up and theme switching issue fix, notification pop-up theme fix.
  * updated default timeout of popup
  * updated readme
  * implemented notification timeout spinbox in settings
  * update spell checker settings in settings
  * snap bin dep
  * updated class
  * animate lock
  * added option to change notification type. - added ability to switch b/w native notification and customized notifications
  * fix crash on lock screen setup
  * snap dep
  * allow app locking even if its not enabled in settings
  * allow app locking even if its not enabled in settings
  * fixed #2 follow popup timeout settings for systray messages.
  * added new icons
  * updated settings dialog.
  * added falgs icons.
  * added automatic theme class
  * added blank lines LOL
  * -added flag icons to spell checker language combobox items, -added automatic theme switching capabilities.
  * snap dep
  * added new interfaces that may help geoclue2 and libs in qt positioning module
  * increase timeout of automatic theme switcher
  * added network-bind interface
  * snap dep
  * added rate app dialog
  * added new screenshot
  * updated screenshot
  * updayted readme
  * fix automatic theme switching
  * removed status bar widget, added RateApp dialog.
  * follow settings to use file dialog type, added All Files(*) option in file selector.
  * removed un needed connections
  * snap dep
  * minor fixes
  * follow file dialog settings
  * instantly trigger theme switch when user set automatic timer.
  * handle download request, filedialog follow settings.
  * snap dep.
  * fix file dialog.
  * fixed source repo link in about dialog.
  * use non native file picker by default. since the native one is buggy.
  * fix file dialog.
  * added plus minus icons
  * updated rate widget backend
  * implemented page zoom feature, - in settings widget.
  * snap dep.
  * updated bin
  * updated darktheme palette

  [ Keshav Bhatt ]
  * Save theme changes happened from web interface.
  * fixed theme switch issue
  * allow passing app arguments
  * Added whatsapp url schema to open app.
  * Added support for Opening whatsapp deeplinks
  * code refactoring
  * added more rating options in rate dialog
  * updated bin
  * added env var XDG_CURRENT_DESKTOP as suggested in issue #6
  * download manager crash fix
  * - fixed #9 (Window minimum width is too small); Now the minimum width is set to 800px - fixed #11 (Disable "Application is minimized to system tray" notification); Now the app only report this message once per session.

  [ Edson Passos ]
  * Decreases the main window minimum height to 500px

  [ Keshav Bhatt ]
  * updated the minimum size of window to prevent scrollbars. - 650px*520px
  * snap deployment
  * Create FUNDING.yml
  * Update FUNDING.yml
  * Update FUNDING.yml
  * version bumped to 2.0, snap using LZO compression now.
  * updated rateApp and about dialog
  * snap dep
  * use core20 and qt515-core20 content snap
  * update desktop launch script to use qt515-core20
  * remove qt.conf and bin
  * make whatsie single process, disable logging, EnableHighDpiScaling before qapp init
  * install dictionaries
  * fix dict install
  * chore: use desktop-launch from content snap
  * chore: move desktop file to src
  * cleanup: removed snap_launcher
  * fix build
  * add mpris interface; is_snap env var
  * mpris add
  * fi build
  * fix build
  * set LANG en_US
  * chore: add Desktop entry GenericName
  * chore: test qpt gtk3
  * build: migrate to qt 5.15
  * version 3.0
  * style: code refactor
  * fix qcf

  [ Keshav ]
  * add more debug info in util class - pro: define new macros to get git info - main: -v print version info - util: - more info in debug; use QRandomGenerator
  * release webengine properly on exit
  * feat: start application minimized. closes #19 - there is a setting to enable this feature

  [ Keshav Bhatt ]
  * fix: improve download file behavior (#32)
  * feat: v4.0 (#35)
  * fix: theme switching
  * fix: change lock screen password beahvior
  * fix: improve logout flow, on change password
  * fix(snap): supress warnings - ATK Bridge warnings
  * chore: unify passowrd echomode in lock widget
  * feat: app auto locking - settings to allow app auto locking after set time interval
  * fix: notification popup click behavior
  * add changelog
  * update changelog
  * chore: inform app is minimized via notification - if the app started minimized in tray
  * add todo
  * fix build
  * Revert "fix build"
  * build(snap): use SNAPCRAFT_ARCH_TRIPLET
  * fix: debug in debug mode

  [ Keshav ]
  * fix: raise window from hidden state when clicked on notification
  * chore: set default zoom factor for maximized windows to 1.0
  * chore: clean UA & disable js debug in app stdout
  * chore: minor improvements
  * chore: bump version 4.1
  * fix: save geometry in quit event - reduce minimum size by 30%. fixes #37
  * chore: stop timer instantly if rated already
  * chore: update default UA
  * feat: add open downloads directory button in download widget
  * chore: window show behavior
  * chore: remove runguard
  * feat: implement IPC & other improvements - lets run only one instance of application - lets pass arguments from secondary instances to main instance - open new chat without reloading page - restore application with commandline argument to secondary instance:  example: whatsie whatsapp://whatsie  will restore the primary instance of whatsie process
  * chore: version 4.2
  * chore: update changelog
  * chore: use new chat trigger method to invoke new chats

  [ Keshav Bhatt ]
  * chore: restore window directly when another instance is launched

  [ Keshav ]
  * chore: filter contextmenu items - allow context menu on editable, selected and copyble data types
  * fix: properly load setting for autoapplock checkbox
  * fix: logout flow during changepassword

  [ Keshav Bhatt ]
  * chore: use Ctrl+W to hide window to tray - replace Ctrl+H with Ctrl+W to hide window to tray - fix the minimize behavior
  * chore: version 4.3
  * fix: show notifications on correct screen - show notification on screen where the main instance is running - closes #41
  * chore: update readme - provide instruction to install using AUR for Arch users
  * chore: nitification popup tweak; code cleanup
  * chore: improve window geo restore - show window on screen where the cursor is located - default window size if saved geometry is not valid
  * chore: improve settings window show behavior - show window on centre of screen where the mainwindow is located - show default pos if geometery is not saved
  * chore: add git sponser link

  [ Gianluca Boiano ]
  * fix: add missing icon, enabling install_icon target generation (clos… (#45)

  [ Keshav Bhatt ]
  * chore: install dicts using qmake
  * fix: use availableGeometry to map position of notification
  * chore: version 4.4
  * chore: add full view support closes #46 - an option in setting to allow toggle full view mode - remove unused webchannel module
  * fix: properly hide custom notification on multi monitor setups closes #41

  [ Gianluca Boiano ]
  * chore(qmake): avoid error message when .git folder is missing (close #49) (#52)

  [ Keshav Bhatt ]
  * chore: define fallback values for macros
  * chore(CI): build with github action
  * chaore(CI): use Qt 5.15.2
  * chore(CI): use latest version of install-qt-action
  * chore: distribution related files
  * chore: use appinstall artifacts from dist - make snapcraft build to use new artifacts - make qmake install new atrifacts - remove desktop file from source
  * fix: obey fullview settings on first launch & initial window size
  * chore: update app description
  * feat: unlock animation plus some cleanup
  * chore: notification connect before show
  * feat: some new features - feat: new command line options, run: whatsie -h for more - feat: add theme toggle action in system tray action menu with shortcut CTRL+T - feat: shortcut to open settings CTRL+P - fix: Changes (mosty non visible) in applock flow

  [ Gianluca Boiano ]
  * feat: enable support for traybar entries on GNOME dash (#53)
  * feat(i18n): add Italian localization (#55)
  * chore: set a minimum of 4 digits for the lock code (#56)

  [ Keshav Bhatt ]
  * chore: setQuitOnLastWindowClosed false
  * chore: update todo
  * chore: use pre-commit
  * feat(ci): add release workflow

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * fix(web): bypass lock check while loading quirk
  * chore(ui): update ui color
  * fix: focus on password edit when echo

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ César Quintana ]
  * Hide/show window only when tray icon is left clicked (#65)

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore(ci): disable auto release and version file
  * chore: version bump in pro
  * chore: remove unused xml module
  * chore: udapte new settings window screenshot
  * chore: update readme
  * Update README.md
  * feat: add toggle theme desktop action
  * chore(build): use Qt5.15.4 for build
  * chore: unlock action button

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore: bump version 4.8
  * fix(build): fix build due to missing icon

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * fix: auto lock while scrolling
  * fix: duplicate action in desktop file

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore: update UA to 104
  * chore: some enhancements - webengine multiprocess - webengine disable sandbox - minor memory usage improvements
  * chore(webengine): disable support for Pepper plugins
  * chore: add notification icons
  * feat: systemtray notification counter
  * chore: delete filedialog after exec
  * chore(ci): release dry-run action
  * chore(snap): use svg icon for desktop entry
  * chore: Version bump 4.9

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav ]
  * chore: skip dictionaries conversion if build type is flatpak build

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore(snap): use svg icon for snap store
  * chore: update appdata

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore: update appdata, to make flatpak-builder happy

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav ]
  * chore: make description under 1000 chars

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore: add moreapps widget in lock screen

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore: cleanup + addition
  * fix: applock state fix
  * chore: cleanup + inhancements
  * chore: remove debugging from MoreApps widget
  * feat: bump version 4.11

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore: cleanup
  * feat: close with esc button
  * feat: close permission dialog with esc key
  * fix: prevent zoom with ctrl+mouse
  * chore: bump version 4.12

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ José Rebelo ]
  * fix: icon on Plasma Wayland (#100)

  [ Keshav Bhatt ]
  * chore: escape key to close child windows
  * chore: cleanup
  * chore: code cleanup

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * chore: update utils
  * chore: code cleanup
  * fix: prevent overwrite if file exists
  * feat: add open file option in download item
  * chore: update js to improve perf
  * chore: bump version 4.13

  [ keshavbhatt ]
  * docs(changelog): update cl & ver after release

  [ Keshav Bhatt ]
  * feat: minor fixes + code cleanup
  * chore: bump version to 4.14
  * chore: update workflow and changelog
  * fix: fix unread message parsing

  [ Mubashshir ]
  * Fix URLs

 -- Mubashshir <ahm@jadupc.com>  Tue, 19 Sep 2023 02:10:01 +0600

whatsie (4.12.1-1) shopno; urgency=medium

  * New upstream version 4.12.1

 -- Mubashshir <ahm@jadupc.com>  Tue, 07 Mar 2023 23:22:25 +0600

whatsie (4.12.0-1) shopno; urgency=medium

  * Initial release.

 -- Mubashshir <ahm@jadupc.com>  Tue, 07 Mar 2023 18:40:41 +0600
